APIChat
Create conversation
Creates (or reuses) a conversation between the authenticated user and another ride participant.
POST
Creates (or reuses) a conversation between the authenticated user and another ride participant.
sessionAuthcookie
better-auth.session_token<token>Better Auth session cookie (on HTTPS: __Secure-better-auth.session_token), forwarded to the login server's /api/auth/get-session
application/json- body
otherUserId*stringLength
1 <= lengthrideId?stringOK
application/json- response
success*booleanid*stringcurl -X POST 'https://example.com/api/chat' \ -H 'Content-Type: application/json' \ -d '{ "otherUserId": "string"}'Example Response
{ "success": true, "id": "string"}